<?php

/**
 * The class used for project entities
 */
class CaseTrackerProject extends Entity {

  public function __construct($values = array()) {
    parent::__construct($values, 'casetracker_project');
  }

  /**
   * Count the number of cases related to this project
   */
  public function getCasesAmount() {
    $query = db_select('casetracker_case');
    $query->join('field_data_field_casetracker_project_ref', 'p', 'p.entity_id = casetracker_case.cid');
    return $query->condition('p.field_casetracker_project_ref_target_id', $this->pid, '=')
        ->fields('casetracker_case')
        ->execute()->rowCount();
  }

  protected function defaultLabel() {
    return $this->title;
  }

  protected function defaultUri() {
    return array('path' => 'project/' . $this->pid);
  }

}
