<?php

$CaseTrackerProject = $CaseTrackerCase->field_casetracker_project_ref['und'][0]['entity'];

if (isset($CaseTrackerCase->field_casetracker_case_due_date)) {
  $due_date = $CaseTrackerCase->field_casetracker_case_due_date->value();
  if (!empty($due_date)) {
    $due_date = format_date($CaseTrackerCase->field_casetracker_case_due_date->value(), 'short');
  }
}
if (!isset($due_date) || empty($due_date)) {
  $due_date = t('Not specified');
}

if (isset($CaseTrackerCase->field_casetracker_case_status)) {
  $status = $CaseTrackerCase->field_casetracker_case_status['und'][0]['value'];
}
else {
  $status = t('Not specified');
}

?>

<table class='summary'>
  <tr>
    <th><?php print t('Project') ?></th>
    <td><?php print l($CaseTrackerProject->title, 'project/' . $CaseTrackerProject->pid) ?></td>
    <th><?php print t('Status') ?></th>
    <td><?php print $status ?></td>
  </tr>
  <?php if (isset($CaseTrackerCase->field_casetracker_assigned_to) && !empty($CaseTrackerCase->field_casetracker_assigned_to)) : ?>
    <?php
    $account = $CaseTrackerCase->field_casetracker_assigned_to['und'][0]['value'];
    ?>
  <?php endif ?>
  <tr>
    <th><?php print t('Reported by') ?></th>
    <td><?php print theme('username', array('account' => $CaseTrackerCase->uid)) ?></td>
    <th><?php print t('Assigned to') ?></th>
    <td><?php print empty($account) ? '' : theme('username', array('account' => $account)) ?></td>
  </tr>
  <tr>
    <th><?php print t('Opened on') ?></th>
    <td><?php print format_date($CaseTrackerCase->created, 'short') ?></td>
    <th><?php print t('Last modified') ?></th>
    <td><?php print format_date($CaseTrackerCase->changed, 'short') ?></td>
  </tr>
  <tr>
    <th><?php print t('Due date') ?></th>
    <td><?php print $due_date ?></td>
    <td></td>
    <td></td>
  </tr>
</table>
