<?php

/**
 * @file
 * Providing extra functionality for the Model UI via views.
 */

/**
 * Implements hook_views_default_views().
 */
function casetracker_views_default_views() {

  $view = new view();
  $view->name = 'casetracker_case_listing';
  $view->description = 'Listing of all cases';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_case';
  $view->human_name = 'Cases - Listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Case Tracker - Cases';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'mais';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Aplicar';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Restaurar';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Ordenar por';
  $handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Crescente';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Itens por página';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Todos -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Deslocamento';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« início';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ anterior';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'próximo ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'fim »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'cid' => 'cid',
    'pid' => 'pid',
    'title_1' => 'title_1',
    'title' => 'title',
    'type' => 'type',
    'changed' => 'changed',
    'field_casetracker_case_status' => 'field_casetracker_case_status',
    'edit_casetracker_case' => 'edit_casetracker_case',
    'delete_casetracker_case' => 'delete_casetracker_case',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'pid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_casetracker_case_status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_casetracker_case' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'delete_casetracker_case' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Comportamento quando sem resultados: Global: Área de texto */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'No cases available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relação: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['id'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['table'] = 'field_data_field_casetracker_project_ref';
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['field'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['label'] = 'Project';
  /* Campo: Case: Case ID */
  $handler->display->display_options['fields']['cid']['id'] = 'cid';
  $handler->display->display_options['fields']['cid']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['cid']['field'] = 'cid';
  $handler->display->display_options['fields']['cid']['label'] = 'ID';
  /* Campo: Project: Título */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['fields']['title_1']['label'] = 'Project';
  $handler->display->display_options['fields']['title_1']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title_1']['alter']['path'] = 'casetracker/project/[pid]';
  /* Campo: Case: Título */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'casetracker/case/[cid]';
  /* Campo: Case: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['label'] = 'Tipo';
  /* Campo: Case: Última atualização */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'time span';
  /* Campo: Case: Status */
  $handler->display->display_options['fields']['field_casetracker_case_status']['id'] = 'field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['field'] = 'field_casetracker_case_status';
  /* Campo: Case: Edit Link */
  $handler->display->display_options['fields']['edit_casetracker_case']['id'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['field'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['edit_casetracker_case']['element_label_colon'] = FALSE;
  /* Campo: Case: Delete Link */
  $handler->display->display_options['fields']['delete_casetracker_case']['id'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['field'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['delete_casetracker_case']['element_label_colon'] = FALSE;
  /* Critério de ordenação: Case: Última atualização */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Critério de filtragem: Case: Status (field_casetracker_case_status) */
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['id'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['field'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['value'] = array(
    'open' => 'open',
  );
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['group'] = 1;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator_id'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['identifier'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['multiple'] = TRUE;
  /* Critério de filtragem: Case: Título */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/content/cases';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Cases';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Case Tracker';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $translatables['casetracker_case_listing'] = array(
    t('Master'),
    t('Case Tracker - Cases'),
    t('mais'),
    t('Aplicar'),
    t('Restaurar'),
    t('Ordenar por'),
    t('Crescente'),
    t('Desc'),
    t('Itens por página'),
    t('- Todos -'),
    t('Deslocamento'),
    t('« início'),
    t('‹ anterior'),
    t('próximo ›'),
    t('fim »'),
    t('No cases available.'),
    t('Project'),
    t('ID'),
    t('.'),
    t(','),
    t('Título'),
    t('Tipo'),
    t('Last updated'),
    t('Status'),
    t('Title contains'),
    t('Page'),
  );

  $views['casetracker_case_listing'] = $view;

  $view = new view();
  $view->name = 'casetracker_project_listing';
  $view->description = 'Listing of projects';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_project';
  $view->human_name = 'Projects - Listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Case Tracker - Projects';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'mais';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer casetracker_projects';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Aplicar';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Restaurar';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Ordenar por';
  $handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Crescente';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Itens por página';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Todos -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Deslocamento';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« início';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ anterior';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'próximo ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'fim »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'pid' => 'pid',
    'type' => 'type',
    'title' => 'title',
    'created' => 'created',
    'nothing_1' => 'nothing_1',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'pid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Comportamento quando sem resultados: Global: Área de texto */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'No projects available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Campo: Project: Project ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  $handler->display->display_options['fields']['pid']['label'] = 'ID';
  /* Campo: Project: Título */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'casetracker/project/[pid]';
  /* Campo: Project: Creation date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created in';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'm/d/Y';
  /* Campo: Project: Link to cases */
  $handler->display->display_options['fields']['link_casetracker_project_cases_1']['id'] = 'link_casetracker_project_cases_1';
  $handler->display->display_options['fields']['link_casetracker_project_cases_1']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['link_casetracker_project_cases_1']['field'] = 'link_casetracker_project_cases';
  $handler->display->display_options['fields']['link_casetracker_project_cases_1']['label'] = '';
  $handler->display->display_options['fields']['link_casetracker_project_cases_1']['element_label_colon'] = FALSE;
  /* Campo: Project: Edit Link */
  $handler->display->display_options['fields']['edit_casetracker_project']['id'] = 'edit_casetracker_project';
  $handler->display->display_options['fields']['edit_casetracker_project']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['edit_casetracker_project']['field'] = 'edit_casetracker_project';
  $handler->display->display_options['fields']['edit_casetracker_project']['label'] = '';
  $handler->display->display_options['fields']['edit_casetracker_project']['element_label_colon'] = FALSE;
  /* Campo: Project: Delete Link */
  $handler->display->display_options['fields']['delete_casetracker_project']['id'] = 'delete_casetracker_project';
  $handler->display->display_options['fields']['delete_casetracker_project']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['delete_casetracker_project']['field'] = 'delete_casetracker_project';
  $handler->display->display_options['fields']['delete_casetracker_project']['label'] = '';
  $handler->display->display_options['fields']['delete_casetracker_project']['element_label_colon'] = FALSE;
  /* Critério de ordenação: Project: Última atualização */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'casetracker_project';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Critério de filtragem: Project: Título */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'casetracker_project';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/content/projects';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Projects';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $translatables['casetracker_project_listing'] = array(
    t('Master'),
    t('Case Tracker - Projects'),
    t('mais'),
    t('Aplicar'),
    t('Restaurar'),
    t('Ordenar por'),
    t('Crescente'),
    t('Desc'),
    t('Itens por página'),
    t('- Todos -'),
    t('Deslocamento'),
    t('« início'),
    t('‹ anterior'),
    t('próximo ›'),
    t('fim »'),
    t('No projects available.'),
    t('ID'),
    t('.'),
    t(','),
    t('Título'),
    t('Created in'),
    t('view all cases'),
    t('Title contains'),
    t('Page'),
  );

  $views['casetracker_project_listing'] = $view;
  
  $view = new view();
  $view->name = 'casetracker_project_overview';
  $view->description = '';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_project';
  $view->human_name = 'Projects - Overview';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Projects overview';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'mais';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Aplicar';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Restaurar';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Ordenar por';
  $handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Crescente';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'entity';
  $handler->display->display_options['row_options']['view_mode'] = 'teaser';
  /* Relação: Project: Autor */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'casetracker_project';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Campo: Project: Project ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  /* Critério de filtragem: Usuário: Nome */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Nome';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'projects/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Projects';
  $handler->display->display_options['menu']['weight'] = '-1';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Projects';
  $handler->display->display_options['tab_options']['weight'] = '0';
  
  $views['casetracker_project_overview'] = $view;

  $view = new view();
  $view->name = 'casetracker_project_cases';
  $view->description = 'Listing of cases from a particular project';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_case';
  $view->human_name = 'Project - Cases';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Project cases';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'mais';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Aplicar';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Restaurar';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Ordenar por';
  $handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Crescente';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Itens por página';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Todos -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Deslocamento';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« início';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ anterior';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'próximo ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'fim »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'cid' => 'cid',
    'title' => 'title',
    'name' => 'name',
    'field_casetracker_case_priority' => 'field_casetracker_case_priority',
    'field_casetracker_case_status' => 'field_casetracker_case_status',
    'changed' => 'changed',
    'edit_casetracker_case' => 'edit_casetracker_case',
    'delete_casetracker_case' => 'delete_casetracker_case',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_casetracker_case_priority' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_casetracker_case_status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_casetracker_case' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'delete_casetracker_case' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Comportamento quando sem resultados: Global: Área de texto */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'No cases available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Campo: Case: Case ID */
  $handler->display->display_options['fields']['cid']['id'] = 'cid';
  $handler->display->display_options['fields']['cid']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['cid']['field'] = 'cid';
  $handler->display->display_options['fields']['cid']['label'] = 'ID';
  /* Campo: Case: Título */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'project/%1/case/[cid]';
  /* Campo: Case: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Campo: Case: Priority */
  $handler->display->display_options['fields']['field_casetracker_case_priority']['id'] = 'field_casetracker_case_priority';
  $handler->display->display_options['fields']['field_casetracker_case_priority']['table'] = 'field_data_field_casetracker_case_priority';
  $handler->display->display_options['fields']['field_casetracker_case_priority']['field'] = 'field_casetracker_case_priority';
  /* Campo: Case: Status */
  $handler->display->display_options['fields']['field_casetracker_case_status']['id'] = 'field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['field'] = 'field_casetracker_case_status';
  /* Campo: Case: Última atualização */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'short';
  /* Campo: Case: Edit Link */
  $handler->display->display_options['fields']['edit_casetracker_case']['id'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['field'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['edit_casetracker_case']['element_label_colon'] = FALSE;
  /* Campo: Case: Delete Link */
  $handler->display->display_options['fields']['delete_casetracker_case']['id'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['field'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['delete_casetracker_case']['element_label_colon'] = FALSE;
  /* Critério de ordenação: Case: Última atualização */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Filtro contextual: Case: Project (field_casetracker_project_ref) */
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['id'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['table'] = 'field_data_field_casetracker_project_ref';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['field'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['exception']['title'] = 'Tudo';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_casetracker_project_ref_target_id']['summary_options']['items_per_page'] = '25';
  /* Critério de filtragem: Case: Status (field_casetracker_case_status) */
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['id'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['field'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['group'] = 1;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator_id'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['identifier'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Critério de filtragem: Case: Título */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  /* Critério de filtragem: Case: Priority (field_casetracker_case_priority) */
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['id'] = 'field_casetracker_case_priority_value';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['table'] = 'field_data_field_casetracker_case_priority';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['field'] = 'field_casetracker_case_priority_value';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['expose']['operator_id'] = 'field_casetracker_case_priority_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['expose']['label'] = 'Priority';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['expose']['operator'] = 'field_casetracker_case_priority_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['expose']['identifier'] = 'field_casetracker_case_priority_value';
  $handler->display->display_options['filters']['field_casetracker_case_priority_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'project/%/cases';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'View all cases';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Case Tracker';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $translatables['casetracker_project_cases'] = array(
    t('Master'),
    t('Proejct cases'),
    t('mais'),
    t('Aplicar'),
    t('Restaurar'),
    t('Ordenar por'),
    t('Crescente'),
    t('Desc'),
    t('Itens por página'),
    t('- Todos -'),
    t('Deslocamento'),
    t('« início'),
    t('‹ anterior'),
    t('próximo ›'),
    t('fim »'),
    t('No cases available.'),
    t('ID'),
    t('.'),
    t(','),
    t('Título'),
    t('Type'),
    t('Priority'),
    t('Status'),
    t('Last updated'),
    t('Tudo'),
    t('Title contains'),
    t('Page'),
  );

  $views['casetracker_project_cases'] = $view;

  $view = new view();
  $view->name = 'casetracker_projects_active';
  $view->description = '';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_project';
  $view->human_name = 'Projects - Active';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Active Projects';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'mais';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Aplicar';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Restaurar';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Ordenar por';
  $handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Crescente';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '0';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'pid' => 'pid',
    'title' => 'title',
    'link_casetracker_project_cases' => 'link_casetracker_project_cases',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'pid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'link_casetracker_project_cases' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Campo: Project: Project ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  $handler->display->display_options['fields']['pid']['label'] = '';
  $handler->display->display_options['fields']['pid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['pid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['pid']['separator'] = '';
  /* Campo: Project: Título */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'projects/[pid]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Campo: Project: Link to cases */
  $handler->display->display_options['fields']['link_casetracker_project_cases']['id'] = 'link_casetracker_project_cases';
  $handler->display->display_options['fields']['link_casetracker_project_cases']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['link_casetracker_project_cases']['field'] = 'link_casetracker_project_cases';
  $handler->display->display_options['fields']['link_casetracker_project_cases']['label'] = '';
  $handler->display->display_options['fields']['link_casetracker_project_cases']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['link_casetracker_project_cases']['text'] = 'cases';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['block_description'] = 'Case Tracker - Active projects list';
  $translatables['casetracker_projects_active'] = array(
    t('Master'),
    t('Active Projects'),
    t('mais'),
    t('Aplicar'),
    t('Restaurar'),
    t('Ordenar por'),
    t('Crescente'),
    t('Desc'),
    t('.'),
    t('cases'),
    t('Block'),
    t('Case Tracker - Active projects list'),
  );

  $views['casetracker_projects_active'] = $view;
  return $views;
}
